Description

I am running the tool "Split Lines with lines" on a single layer (that is, the line layer is both the layer to be cut and the blades). There is an

issue when the lines touch each others. It works great when the lines to be cut have a vertex at the intersection point, but if they don't have

this vertex then the line is not cut.

Step to reproduce (faulty case):

- Create a temporary line layer

- Draw one random straight line (so with vertices at start / end points only)

- Enable snapping to segment

- Draw another line with start point not touching the 1st line and the endpoint being snapped in the middle of the 1st line

- Run "Split Lines with lines" tool

--> Result: the 1st line is not split at the intersection point

Step to reproduce (working case):

- Create a temporary line layer

- Draw a random line having a vertex between the start and end point (so 3 vertices in total)

- Enable snapping to vertex

- Draw another line with start point not touching the 1st line and the endpoint being snapped to the vertex of the 1st line

- Run "Split Lines with lines" tool

--> Result: the 1st line is split at the intersection point

History

#1 - 2017-07-12 11:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Operating System deleted (windows 10 64bits)

This is not completely unexpected to me, considered that for example not even PostGIS does the split of a line with points or lines if in the touching spot

there isn't a node. As the underlying libraries are probably the same (GEOS?) the "issue" is probably the same... the solution, at least in PostGIS, is to add

a node where the lines (or lines and points) are touching, see for example:

https://mygisnotes.wordpress.com/2017/01/01/split-lines-with-points-the-postgis-way/

#2 - 2017-09-25 04:37 PM - Giovanni Manghi

- Status changed from Feedback to Open

#3 - 2018-02-02 09:16 AM - Alexander Bruy
https://mygisnotes.wordpress.com/2017/01/01/split-lines-with-points-the-postgis-way/


IMHO this should be closed as this is expected behavior (e.g. PostGIS also needs vertices to split).

#4 - 2018-02-02 09:16 AM - Alexander Bruy

- Status changed from Open to Feedback

#5 - 2018-06-01 06:49 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed
